//
//  VotlageInputController.h
//  VoltageInput
//
//  Created by Phidgets on 2015-07-21.
//  Copyright (c) 2015 Phidgets. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <Phidget22/phidget22.h>
#import "PhidgetInfoBox.h"

@interface VotlageInputController : NSObject <NSApplicationDelegate, NSWindowDelegate>
{
    IBOutlet NSWindow *mainWindow;
    PhidgetVoltageInputHandle ch;
    //PhidgetInfoBox View
    IBOutlet PhidgetInfoBox *phidgetInfoBoxView;
    IBOutlet NSBox *phidgetInfoBox;
    //DataInterval
    IBOutlet NSBox *dataIntervalBox;
    IBOutlet id dataIntervalSlider;
    IBOutlet NSTextField *dataIntervalText;
    IBOutlet NSTextField *minDataIntervalLabel;
    IBOutlet NSTextField *maxDataIntervalLabel;
    //Change Trigger
    IBOutlet NSBox *changeTriggerBox;
    IBOutlet NSTextField *changeTriggerText;
    IBOutlet NSTextField *minChangeTriggerLabel;
    IBOutlet NSTextField *maxChangeTriggerLabel;
    IBOutlet id changeTriggerSlider;
    //Voltage Range Settings
    IBOutlet NSBox *voltageRangeBox;
    IBOutlet NSPopUpButton *voltageRangeCombo;
    //Power Supply Settings
    IBOutlet NSBox *powerSupplyBox;
    IBOutlet NSPopUpButton *powerSupplyCombo;
    //Data
    IBOutlet NSBox *dataBox;
    IBOutlet NSTextField *voltageText;
    IBOutlet NSBox *sensorBox;
    IBOutlet NSPopUpButton *sensorTypeCombo;
    IBOutlet NSTextField *sensorText;
    //Errors
    IBOutlet NSPanel *errorEventLogWindow;
    IBOutlet NSTextView *errorEventLog;
    IBOutlet NSTextField *errorEventLogCounter;
	
	Phidget_DeviceID deviceID;
	NSBox *lastBox;
    
}

@end
